Browse Source

Debian packaging

Brendan Abolivier 2 years ago
parent
commit
88fda891e6
9 changed files with 53 additions and 0 deletions
  1. 5
    0
      .gitignore
  2. 5
    0
      debian/changelog
  3. 1
    0
      debian/compat
  4. 12
    0
      debian/control
  5. 1
    0
      debian/copyright
  6. 11
    0
      debian/make_package.sh
  7. 16
    0
      debian/rules
  8. 1
    0
      debian/source/format
  9. 1
    0
      debian/source/options

+ 5
- 0
.gitignore View File

@@ -5,3 +5,8 @@ config.yaml
5 5
 
6 6
 _test
7 7
 .envrc
8
+
9
+debian/debhelper-build-stamp
10
+debian/grafana-dashboard-manager.substvars
11
+debian/.debhelper
12
+debian/files

+ 5
- 0
debian/changelog View File

@@ -0,0 +1,5 @@
1
+grafana-dashboard-manager (1.2018.10.01.15.47.53) stable; urgency=medium
2
+
3
+  * Build grafana-dashboard-manager from branch debian
4
+
5
+ -- Sebastien BLAISOT <sebastien.blaisot@cozycloud.cc>  Mon, 01 Oct 2018 15:47:53 +0200

+ 1
- 0
debian/compat View File

@@ -0,0 +1 @@
1
+10

+ 12
- 0
debian/control View File

@@ -0,0 +1,12 @@
1
+Source: grafana-dashboard-manager
2
+Section: admin
3
+Priority: optional
4
+Maintainer: Sébastien Blaisot <sebastien.blaisot@cozycloud.cc>
5
+Build-Depends: debhelper (>= 9)
6
+Standards-Version: 3.9.8
7
+Homepage: https://cozy.io
8
+
9
+Package: grafana-dashboard-manager
10
+Architecture: amd64
11
+Depends: ${misc:Depends},${shlibs:Depends}
12
+Description: The Grafana Dashboards Manager is a tool to help you manage your Grafana dashboards using Git.

+ 1
- 0
debian/copyright View File

@@ -0,0 +1 @@
1
+poeut

+ 11
- 0
debian/make_package.sh View File

@@ -0,0 +1,11 @@
1
+#!/bin/bash
2
+set -ex
3
+
4
+export DEBIAN_VERSION=$(date +"1.%Y.%m.%d.%H.%M.%S")
5
+export BASE=$(dirname $0)
6
+export GIT_BRANCH="$(git rev-parse --abbrev-ref HEAD)"
7
+
8
+[ -f ${BASE}/changelog ] && rm ${BASE}/changelog
9
+dch --newversion=${DEBIAN_VERSION} --create --noquery --distribution stable --package grafana-dashboard-manager "Build grafana-dashboard-manager from branch $GIT_BRANCH"
10
+
11
+debuild -e DEBIAN_VERSION -e GOROOT -e GOPATH -e PATH -us -uc -b $@

+ 16
- 0
debian/rules View File

@@ -0,0 +1,16 @@
1
+#!/usr/bin/make -f
2
+
3
+%:
4
+	dh $@
5
+
6
+DESTDIR := $(CURDIR)/debian/grafana-dashboard-manager
7
+
8
+override_dh_auto_build:
9
+	go version
10
+	gb build
11
+
12
+override_dh_auto_install:
13
+	[ ! -d $(DESTDIR) ] && mkdir -p $(DESTDIR)
14
+	install $(CURDIR)/bin/pusher -D $(DESTDIR)/opt/grafana-dashboard-manager/pusher
15
+	install $(CURDIR)/bin/puller -D $(DESTDIR)/opt/grafana-dashboard-manager/puller
16
+	install $(CURDIR)/config.example.yaml -D $(DESTDIR)/opt/grafana-dashboard-manager/config.example.yaml

+ 1
- 0
debian/source/format View File

@@ -0,0 +1 @@
1
+3.0 (native)

+ 1
- 0
debian/source/options View File

@@ -0,0 +1 @@
1
+compression = "bzip2"